Subject: Re: [lojban] Re: Computing in lojbanistan

From: "LYlun.martins." <[email-masked]>

On Mon, Jun 26, 2000 at 11:03:20PM -0000, Arnt Richard Johansen wrote:
> --- In [email-masked], "LYlun.martins." <lalo@h...> wrote:
> > I'd like to invite experient lojbanists who use Unix, GNU/Linux
> > or similar systems, and use software internationalized trough
> > potfiles (such as most GNU/Linux software), to translate some
> > potfiles to lojban.
> 
> We need lots of specialized computer jargon to do that. If we were
> to 
> suddenly start inventing lots of new computer terms, they would, as 
> Lojbab has pointed out, run the risk of being flawed and/or malrarbau.

But we have this list and peer review. :-)

> > export LANGUAGE=lb:pt_BR
> 
> You mustn't do that! "lb" is the ISO two-letter language code for 
> letzeburgesch!

Ooops.

> Unless the GNU internatinalization system is hard-coded for two 
> letters (which I doubt), you can and should use "x-lojban" as the 
> language code for Lojban.

I'd suggest to register i-lojban or i-lb or something. Someone
only has to send a message formatted like:

----------------------------------------------------------------------
LANGUAGE TAG REGISTRATION FORM

Name of requester :
E-mail address of requester:
Tag to be registered :

English name of language :

Native name of language (transcribed into ASCII):

Reference to published description of the language (book or article):
----------------------------------------------------------------------

to . More info on RFC 1766.

Of course there is no problem with x-lojban either; it isn't
standard (as w3c says, "experimental codes without guarantee for
uniqueness") but who would use x-lojban for anything else?

[]s,
|alo
+----
--
Hack and Roll ( http://www.hackandroll.org )
News for, uh, whatever it is that we are.

http://zope.gf.com.br/lalo mailto:[email-masked]
pgp key: http://zope.gf.com.br/lalo/pessoal/pgp

Brazil of Darkness (RPG) --- http://zope.gf.com.br/BroDar